Name: lam
Version: 6.5.6
Release: alt3

%define _sysconfdir /etc/%name

Summary: LAM/MPI (Local Area Multicomputer) programming environment
License: BSD
Group: Development/Other
Url: http://www.lam-mpi.org/
Source: http://www.lam-mpi.org/download/files/%name-%version.tar.bz2

# Automatically added by buildreq on Wed Apr 03 2002
BuildRequires: XFree86-devel gcc-c++ gcc-g77 libstdc++-devel openssh-clients

%package devel
Summary: development part of %name
Group: Development/C

%description
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as a single parallel computer.  LAM/MPI is
considered to be "cluster friendly", in that it offers daemon-based
process startup/control as well as fast client-to-client message
passing protocols.  LAM/MPI can use TCP/IP and/or shared memory for
message passing (currently, different RPMs are supplied for this --
see the main LAM web site for details).

LAM features a full implementation of MPI-1 (with the exception that
LAM does not support cancelling of sends), and much of MPI-2.
Compliant applications are source code portable between LAM/MPI and
any other implementation of MPI.  In addition to providing a
high-quality implementation of the MPI standard, LAM/MPI offers
extensive monitoring capabilities to support debugging.  Monitoring
happens on two levels.  First, LAM/MPI has the hooks to allow a
snapshot of process and message status to be taken at any time during
an application run.  This snapshot includes all aspects of
synchronization plus datatype maps/signatures, communicator group
membership, and message contents (see the XMPI application on the main
LAM web site).  On the second level, the MPI library is instrumented
to produce a cummulative record of communication, which can be
visualized either at runtime or post-mortem.

%description devel
development stuff for %name

%prep
%setup -q

%build
%configure --with-rpi=tcp --with-rsh="ssh -x"
#NO SMP
%make all

%install
%makeinstall

rm -f $RPM_BUILD_ROOT/usr/include/mpi++.h
ln -s mpi2c++/mpi++.h $RPM_BUILD_ROOT/usr/include/mpi++.h

#prepare filelists
find $RPM_BUILD_ROOT%_bindir -type f|
    egrep -v 'balky|hcc|hcp|hf77|mpicc|mpiCC|mpif77'|
    sed s@%buildroot@@ >%name.notdevel

%files -f %name.notdevel
%doc LICENSE HISTORY INSTALL README RELEASE_NOTES
%doc examples
%config %_sysconfdir/
%_mandir/man1/*
%_mandir/man7/*
%_mandir/man5/*

%files devel
%_bindir/balky
%_bindir/hcc
%_bindir/hcp
%_bindir/hf77
%_bindir/mpicc
%_bindir/mpiCC
%_bindir/mpif77
%_includedir/*
%_libdir/*
%_mandir/man3/*

%changelog
* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 6.5.6-alt3
- rebuild with gcc3.

* Wed Apr 24 2002 Stanislav Ievlev <inger@altlinux.ru> 6.5.6-alt2
- added devel subpackage

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 6.5.6-alt1
- first build for Sisyphus
